Page MenuHomePhabricator

[PAB3] Implement testing for Portal lang detection preferences
Closed, ResolvedPublic13 Story Points

Description

The spec info is in T124110....go forth and do the thing that needs to be done, please. :) Please report back if any questions or something can't be done.

Event Timeline

debt created this task.Jan 19 2016, 11:01 PM
debt raised the priority of this task from to High.
debt updated the task description. (Show Details)
debt added subscribers: Deskana, Aklapper, Ironholds and 2 others.
debt renamed this task from [PAB2] Implement testing for Portal lang detection preferences to [PAB3] Implement testing for Portal lang detection preferences .Jan 20 2016, 8:28 PM
debt set Security to None.
debt updated the task description. (Show Details)Jan 20 2016, 9:52 PM
debt moved this task from Needs triage to Analysis on the Discovery board.Jan 20 2016, 10:32 PM
Deskana moved this task from Analysis to On Sprint Board on the Discovery board.Feb 2 2016, 8:59 PM
debt assigned this task to Jdrewniak.Feb 17 2016, 6:48 PM
debt moved this task from What's Next to In Progress on the Discovery-Portal-Sprint board.
debt edited a custom field.Feb 17 2016, 6:51 PM

Change 273900 had a related patch set uploaded (by Jdrewniak):
i18n localized top links A/B test.

https://gerrit.wikimedia.org/r/273900

JGirault added a subscriber: JGirault.EditedMar 8 2016, 1:03 AM

Slightly changed the test script to format results in a prettier way:

Great job @Jdrewniak nonetheless!

Change 276725 had a related patch set uploaded (by Jdrewniak):
i18n localized top links A/B test.

https://gerrit.wikimedia.org/r/276725

Change 273900 abandoned by Jdrewniak:
i18n localized top links A/B test.

Reason:
A new patch which is rebased on master has been submitted.

https://gerrit.wikimedia.org/r/273900

I approved and merged the patch.

My notes though: New styling looks okay on desktop now. However I am not a big fan of the mobile look... looks odd in my opinion:

  • too much concentrated at the top of the screen
  • a lot of white space within the top10 now.
  • font looks small with all the white space around

It is good for an A/B test, but in my opinion the overall style should be improved (sooner or later) for a better experience and even better user engagement.

Below a few screenshots to illustrate my notes:

It should be available for test on beta soon (automatic deploy).

Change 276725 merged by jenkins-bot:
i18n localized top links A/B test.

https://gerrit.wikimedia.org/r/276725

After deploying to the beta portal again (thanks, @EBernhardson!), I was able to view the A/B test. I agree with @JGirault's comments above - the spacing is a bit off, but it's good enough for a test to be run.

To test: http://www.wikipedia.beta.wmflabs.org/#language-detection-b (for the actual test - you might have to refresh the page once to see the new treatment).
http://www.wikipedia.beta.wmflabs.org/#language-detection-a is the same page as our original wikipedia.org.

@Jdrewniak - nice work! Let's push it live, when we can, starting the week of Tuesday, March 22, 2016! :)

I've included some screenshots of the responsive desktop treatment:

Chinese Simplified, Spanish, French (CA), English for my preferred browser languages (note the localized The Free Encyclopedia phrase under the wordmark)

Chinese Simplified, Spanish, French (CA), English for my preferred browser languages (desktop view of Spring Break search results while searching in EN)

Existing responsive treatment ("A" portion of the test)

Existing desktop treatment ("A" portion of the test)

debt closed this task as Resolved.Mar 23 2016, 6:07 PM

Done and released on March 22, 2016

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Apr 7 2016, 3:39 PM